## paxctld 1.2.1

=== Makefile ===
# Copyright 2014-2015 Open Source Security, Inc.
# paxctld is licensed under the GNU GPL v2 only http://www.gnu.org
# see COPYRIGHT and LICENSE files for more information

CC=/usr/bin/gcc
CFLAGS?=-Wall -O2 -pie -fPIC -D_FORTIFY_SOURCE=2 -fstack-protector-all
LDFLAGS=
STRIP=/usr/bin/strip
MANDIR=/usr/share/man
INSTALL=/usr/bin/install -c
DESTDIR=

all: paxctld

paxctld: paxctld.c

install: paxctld paxctld.8 paxctld.conf
	@echo "Installing paxctld.conf..."
	@mkdir -p $(DESTDIR)/etc
	@$(INSTALL) -m 0644 paxctld.conf $(DESTDIR)/etc
	@echo "Installing paxctld..."
	@mkdir -p $(DESTDIR)/sbin
	@$(INSTALL) -m 0755 paxctld $(DESTDIR)/sbin
	@$(STRIP) $(DESTDIR)/sbin/paxctld
	@echo "Installing paxctld manpage..."
	@mkdir -p $(DESTDIR)$(MANDIR)/man8
	@$(INSTALL) -m 0644 paxctld.8 $(DESTDIR)$(MANDIR)/man8/paxctld.8

clean:
	rm -rf core *.o paxctld debian/paxctld debian/paxctld.debhelper.log

## paxctld 1.1

=== debian/changelog ===
paxctld (1.1-1) unstable; urgency=low

  * New upstream release.
  * Make the package linux-any .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 14 Feb 2016 09:47:46 +0100

paxctld (1.0-1) unstable; urgency=low

  * Initial upload (closes: #811155).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 31 May 2015 08:43:26 +0000

=== debian/control ===
Source: paxctld
Section: admin
Priority: important
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://grsecurity.net

Package: paxctld
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Daemon to automatically set appropriate PaX flags
 paxctld automatically sets appropriate PaX flags on binaries on the system
 using user extended attributes.  The flags are maintained across any
 updates made to the binaries listed in the paxctld configuration file.

## paxctld 1.2.1

=== debian/changelog ===
paxctld (1.2.1-1pureos5) green; urgency=medium

  * Fork for PureOS:
    + Set dev@puri.sm as maintainer, prefixing original XSBC-Original-.
    + Set myself as uploader, dropping original.

 -- Jonas Smedegaard <jonas.smedegaard@puri.sm>  Wed, 15 Nov 2017 14:47:18 +0100

paxctld (1.2.1-1pureos4) landing; urgency=medium

  * add epiphany,qupzilla,midori,iridium-browser,chromium configuration to pax.

 -- Hema Prathaban (Pureos Developer) <hema.prathaban@puri.sm>  Sat, 25 Mar 2017 02:59:07 -0400

paxctld (1.2.1-1pureos3) landing; urgency=medium
  
  * Remove pax configuration for steam, skype, chrome, firefox, openrc 
    valgrind, qemu, oxide.

 -- Hema Prathaban (Pureos Developer) <hema.prathaban@puri.sm>  Fri, 17 Mar 2017 12:03:23 -0400

paxctld (1.2.1-1pureos2) landing; urgency=medium

  * Adding icedove to pureos configuration changes.

 -- Hema Prathaban (Pureos Developer) <hema.prathaban@puri.sm>  Thu, 02 Mar 2017 10:58:05 -0500

paxctld (1.2.1-1pureos1) landing; urgency=medium

  * Added PureOS configuration changes. 

 -- Hema Prathaban (Pureos Developer) <hema.prathaban@puri.sm>  Sun, 15 Jan 2017 11:10:20 +0100

paxctld (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Add lsb-base dependency.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 25 Dec 2016 10:43:52 +0000

=== debian/control ===
Source: paxctld
Section: admin
Priority: important
Maintainer: Purism developers <dev@puri.sm>
Uploaders: Jonas Smedegaard <jonas.smedegaard@puri.sm>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: https://grsecurity.net

Package: paxctld
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: Daemon to automatically set appropriate PaX flags
 paxctld automatically sets appropriate PaX flags on binaries on the system
 using user extended attributes.  The flags are maintained across any
 updates made to the binaries listed in the paxctld configuration file.
